SDL_GUID Struct Reference

`#include <SDL_guid.h>`

## Data Fields

Uint8 | data [16]

## Detailed Description

# CategoryGUID

A GUID is a 128-bit value that represents something that is uniquely identifiable by this value: "globally unique."

SDL provides functions to convert a GUID to/from a string. An SDL_GUID is a 128-bit identifier for an input device that identifies that device across runs of SDL programs on the same platform.

If the device is detached and then re-attached to a different port, or if the base system is rebooted, the device should still report the same GUID.

GUIDs are as precise as possible but are not guaranteed to distinguish physically distinct but equivalent devices. For example, two game controllers from the same vendor with the same product ID and revision may have the same GUID.

GUIDs may be platform-dependent (i.e., the same device may report different GUIDs on different operating systems).

Since
  This struct is available since SDL 3.2.0.

Definition at line 61 of file SDL_guid.h.

## Field Documentation

## data

Uint8 SDL_GUID::data[16]

Definition at line 62 of file SDL_guid.h.

The documentation for this struct was generated from the following file:

- SDL_guid.h